Subject: Re: general protection fault in qrtr_endpoint_post

From: syzbot <[email-masked]>
Date: Tue, 11 Aug 2020 00:02:05 -0700

syzbot suspects this issue was fixed by commit:

commit 8ff41cc21714704ef0158a546c3c4d07fae2c952
Author: Dan Carpenter <[email-masked]>
Date:   Tue Jun 30 11:46:15 2020 +0000

    net: qrtr: Fix an out of bounds read qrtr_endpoint_post()

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10f1cfe6900000
start commit:   1590a2e1 Merge tag 'acpi-5.8-rc3' of git://git.kernel.org/..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=20c907630cbdbe5
dashboard link: https://syzkaller.appspot.com/bug?extid=03e343dbccf82a5242a2
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1496f9f9100000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1692523d100000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: net: qrtr: Fix an out of bounds read qrtr_endpoint_post()

For information about bisection process see: https://goo.gl/tpsmEJ#bisection